| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
AAX_GUITypes.h File Reference
`#include "AAX.h"`
`#include <AAX_ALIGN_FILE_BEGIN>`
`#include <AAX_ALIGN_FILE_HOST>`
`#include <AAX_ALIGN_FILE_END>`
`#include <AAX_ALIGN_FILE_RESET>`

Go to the source code of this file.

## Description

Constants and other definitions used by AAX plug-in GUIs.

## Classes
struct | AAX_Point
| Data structure representing a two-dimensional coordinate point. More...
struct | AAX_Rect
| Data structure representing a rectangle in a two-dimensional coordinate plane. More...

## Typedefs
typedef struct AAX_Point | AAX_Point
| Data structure representing a two-dimensional coordinate point.
typedef struct AAX_Rect | AAX_Rect
| Data structure representing a rectangle in a two-dimensional coordinate plane.
typedef enum AAX_EViewContainer_Type | AAX_EViewContainer_Type
| Type of view container.

## Enumerations
enum | AAX_EViewContainer_Type { AAX_eViewContainer_Type_NULL = 0 , AAX_eViewContainer_Type_NSView = 1 , AAX_eViewContainer_Type_UIView = 2 , AAX_eViewContainer_Type_HWND = 3 }
| Type of view container. More...

## Functions
bool | operator== (const AAX_Point &p1, const AAX_Point &p2)
bool | operator!= (const AAX_Point &p1, const AAX_Point &p2)
bool | operator< (const AAX_Point &p1, const AAX_Point &p2)
bool | operator<= (const AAX_Point &p1, const AAX_Point &p2)
bool | operator> (const AAX_Point &p1, const AAX_Point &p2)
bool | operator>= (const AAX_Point &p1, const AAX_Point &p2)
bool | operator== (const AAX_Rect &r1, const AAX_Rect &r2)
bool | operator!= (const AAX_Rect &r1, const AAX_Rect &r2)
| AAX_ENUM_SIZE_CHECK (AAX_EViewContainer_Type)

## Typedef Documentation

## ◆ AAX_Point

typedef struct AAX_Point AAX_Point

Data structure representing a two-dimensional coordinate point.

Comparison operators give preference to `vert`

## ◆ AAX_Rect

typedef struct AAX_Rect AAX_Rect

Data structure representing a rectangle in a two-dimensional coordinate plane.

## ◆ AAX_EViewContainer_Type

typedef enum AAX_EViewContainer_Type AAX_EViewContainer_Type

Type of view container.

See also
  AAX_IViewContainer::GetType()

## Enumeration Type Documentation

## ◆ AAX_EViewContainer_Type

enum AAX_EViewContainer_Type

Type of view container.

See also
  AAX_IViewContainer::GetType()

Enumerator
AAX_eViewContainer_Type_NULL |
AAX_eViewContainer_Type_NSView |
AAX_eViewContainer_Type_UIView |
AAX_eViewContainer_Type_HWND |

## Function Documentation

## ◆ operator==() [1/2]

bool operator== | ( | const AAX_Point & | p1,
|  | const AAX_Point & | p2
| ) |  |
| inline

References AAX_Point::horz, and AAX_Point::vert.

## ◆ operator!=() [1/2]

bool operator!= | ( | const AAX_Point & | p1,
|  | const AAX_Point & | p2
| ) |  |
| inline

## ◆ operator<()

bool operator< | ( | const AAX_Point & | p1,
|  | const AAX_Point & | p2
| ) |  |
| inline

References AAX_Point::horz, and AAX_Point::vert.

## ◆ operator<=()

bool operator<= | ( | const AAX_Point & | p1,
|  | const AAX_Point & | p2
| ) |  |
| inline

References AAX_Point::horz, and AAX_Point::vert.

## ◆ operator>()

bool operator> | ( | const AAX_Point & | p1,
|  | const AAX_Point & | p2
| ) |  |
| inline

## ◆ operator>=()

bool operator>= | ( | const AAX_Point & | p1,
|  | const AAX_Point & | p2
| ) |  |
| inline

## ◆ operator==() [2/2]

bool operator== | ( | const AAX_Rect & | r1,
|  | const AAX_Rect & | r2
| ) |  |
| inline

References AAX_Rect::height, AAX_Rect::left, AAX_Rect::top, and AAX_Rect::width.

## ◆ operator!=() [2/2]

bool operator!= | ( | const AAX_Rect & | r1,
|  | const AAX_Rect & | r2
| ) |  |
| inline

## ◆ AAX_ENUM_SIZE_CHECK()

AAX_ENUM_SIZE_CHECK | ( | AAX_EViewContainer_Type |  | ) |